linux-kernel.vger.kernel.org archive mirror
 help / color / mirror / Atom feed
* [PATCH] selftests : netfilter: Wrote a error and exit code for a command which needed veth kernel module.
@ 2019-04-05 16:31 Jeffrin Jose T
  2019-04-05 16:47 ` Florian Westphal
  0 siblings, 1 reply; 8+ messages in thread
From: Jeffrin Jose T @ 2019-04-05 16:31 UTC (permalink / raw)
  To: fw; +Cc: shuah, pablo, linu-kselftest, linux-kernel, Jeffrin Jose T

A test for  the basic NAT functionality uses ip command which
needs veth device.There is a condition where the kernel support
for veth is not compiled into the kernel and the test script
breaks.This patch contains code for reasonable error display
and correct code exit.

Signed-off-by: Jeffrin Jose T <jeffrin@rajagiritech.edu.in>
---
 tools/testing/selftests/netfilter/nft_nat.sh | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/tools/testing/selftests/netfilter/nft_nat.sh b/tools/testing/selftests/netfilter/nft_nat.sh
index 8ec76681605c..f25f72a75cf3 100755
--- a/tools/testing/selftests/netfilter/nft_nat.sh
+++ b/tools/testing/selftests/netfilter/nft_nat.sh
@@ -23,7 +23,11 @@ ip netns add ns0
 ip netns add ns1
 ip netns add ns2
 
-ip link add veth0 netns ns0 type veth peer name eth0 netns ns1
+ip link add veth0 netns ns0 type veth peer name eth0 netns ns1 > /dev/null 2>&1
+if [ $? -ne 0 ];then
+    echo "SKIP: No virtual ethernet pair device support in kernel"
+    exit $ksft_skip
+fi
 ip link add veth1 netns ns0 type veth peer name eth0 netns ns2
 
 ip -net ns0 link set lo up
-- 
2.20.1


^ permalink raw reply related	[flat|nested] 8+ messages in thread

end of thread, other threads:[~2019-05-14 23:22 UTC | newest]

Thread overview: 8+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2019-04-05 16:31 [PATCH] selftests : netfilter: Wrote a error and exit code for a command which needed veth kernel module Jeffrin Jose T
2019-04-05 16:47 ` Florian Westphal
2019-04-13 12:39   ` Jeffrin Thalakkottoor
2019-04-25 19:43     ` shuah
2019-04-30 10:02       ` Florian Westphal
2019-04-30 10:52         ` Pablo Neira Ayuso
2019-05-11 20:58           ` Jeffrin Thalakkottoor
2019-05-14 23:22             ` Pablo Neira Ayuso

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).